Page MenuHomePhabricator

[OAuth] PHP Fatal Error: Call to undefined method MediaWiki\Extensions\OAuth\MWOAuthDAOAccessControl::getForHtml()
Closed, ResolvedPublicPRODUCTION ERROR

Description

Example: https://www.mediawiki.org/wiki/Special:OAuthListConsumers

PHP Fatal Error: Call to undefined method MediaWiki\Extensions\OAuth\MWOAuthDAOAccessControl::getForHtml()
/srv/mediawiki/php-1.32.0-wmf.22/extensions/OAuth/frontend/specialpages/SpecialMWOAuthListConsumers.php:244

#0 /srv/mediawiki/php-1.32.0-wmf.22/extensions/OAuth/frontend/specialpages/SpecialMWOAuthListConsumers.php(244): NO_FUNCTION_GIVEN()
#1 [internal function]: Closure$MediaWiki\Extensions\OAuth\SpecialMWOAuthListConsumers::formatRow(string)
#2 /srv/mediawiki/php-1.32.0-wmf.22/extensions/OAuth/control/MWOAuthDAOAccessControl.php(109): call_user_func(Closure$MediaWiki\Extensions\OAuth\SpecialMWOAuthListConsumers::formatRow;3183, string)
#3 /srv/mediawiki/php-1.32.0-wmf.22/extensions/OAuth/frontend/specialpages/SpecialMWOAuthListConsumers.php(245): MediaWiki\Extensions\OAuth\MWOAuthDAOAccessControl->get(string, Closure$MediaWiki\Extensions\OAuth\SpecialMWOAuthListConsumers::formatRow;3183)
#4 /srv/mediawiki/php-1.32.0-wmf.22/extensions/OAuth/frontend/specialpages/SpecialMWOAuthListConsumers.php(335): MediaWiki\Extensions\OAuth\SpecialMWOAuthListConsumers->formatRow(Wikimedia\Rdbms\DBConnRef, stdClass)
#5 /srv/mediawiki/php-1.32.0-wmf.22/includes/pager/IndexPager.php(445): MediaWiki\Extensions\OAuth\MWOAuthListConsumersPager->formatRow(stdClass)
#6 /srv/mediawiki/php-1.32.0-wmf.22/extensions/OAuth/frontend/specialpages/SpecialMWOAuthListConsumers.php(195): IndexPager->getBody()
#7 /srv/mediawiki/php-1.32.0-wmf.22/extensions/OAuth/frontend/specialpages/SpecialMWOAuthListConsumers.php(51): MediaWiki\Extensions\OAuth\SpecialMWOAuthListConsumers->showConsumerList()
#8 /srv/mediawiki/php-1.32.0-wmf.22/includes/specialpage/SpecialPage.php(569): MediaWiki\Extensions\OAuth\SpecialMWOAuthListConsumers->execute(NULL)
#9 /srv/mediawiki/php-1.32.0-wmf.22/includes/specialpage/SpecialPageFactory.php(581): SpecialPage->run(NULL)
#10 /srv/mediawiki/php-1.32.0-wmf.22/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#11 /srv/mediawiki/php-1.32.0-wmf.22/includes/MediaWiki.php(868): MediaWiki->performRequest()
#12 /srv/mediawiki/php-1.32.0-wmf.22/includes/MediaWiki.php(525): MediaWiki->main()
#13 /srv/mediawiki/php-1.32.0-wmf.22/index.php(42): MediaWiki->run()
#14 /srv/mediawiki/w/index.php(3): include(string)
#15 {main}

Event Timeline

Change 461196 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/OAuth@master] Fix escapeForHtml method name

https://gerrit.wikimedia.org/r/461196

Comes from https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/OAuth/+/456905/ by @Legoktm

The commit message refers to getForHtml() but the method is not added :]

Krinkle added a subscriber: Krinkle.

@hashar May wanna use "Create Task" or "Report Application Error" instead of "New sub task" because the latter creates the task as another train release :)

Change 461199 had a related patch set uploaded (by Hashar; owner: Gergő Tisza):
[mediawiki/extensions/OAuth@wmf/1.32.0-wmf.22] Fix escapeForHtml method name

https://gerrit.wikimedia.org/r/461199

Change 461199 merged by jenkins-bot:
[mediawiki/extensions/OAuth@wmf/1.32.0-wmf.22] Fix escapeForHtml method name

https://gerrit.wikimedia.org/r/461199

Change 461196 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] Fix escapeForHtml method name

https://gerrit.wikimedia.org/r/461196

@hashar May wanna use "Create Task" or "Report Application Error" instead of "New sub task" because the latter creates the task as another train release :)

I noticed that :-\ My bad!

Mentioned in SAL (#wikimedia-operations) [2018-09-18T20:05:34Z] <hashar@deploy1001> Synchronized php-1.32.0-wmf.22/extensions/OAuth/frontend/specialpages/SpecialMWOAuthListConsumers.php: Fix escapeForHtml method name - T204757 (duration: 00m 58s)

Restricted Application changed the subtype of this task from "Release" to "Task". · View Herald TranscriptOct 10 2018, 8:03 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM